Last Comment Bug 428606 - New version of JEP (0.9.6.4), please land on trunk and branch
: New version of JEP (0.9.6.4), please land on trunk and branch
Status: VERIFIED FIXED
: verified1.8.1.15
Product: Plugins Graveyard
Classification: Graveyard
Component: Java (Java Embedding Plugin) (show other bugs)
: unspecified
: PowerPC Mac OS X
: P1 normal
: ---
Assigned To: Steven Michaud [:smichaud] (Retired)
:
Mentors:
http://javaplugin.sourceforge.net/
Depends on:
Blocks: 421855
  Show dependency treegraph
 
Reported: 2008-04-11 16:53 PDT by Steven Michaud [:smichaud] (Retired)
Modified: 2016-04-28 09:08 PDT (History)
16 users (show)
mtschrep: blocking1.9+
dveditz: blocking1.8.1.15+
dveditz: wanted1.8.1.x+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Change log for JEP 0.9.6.4 (1.12 KB, text/plain)
2008-04-11 16:54 PDT, Steven Michaud [:smichaud] (Retired)
jaas: review+
jst: superreview+
dsicore: approval1.9+
Details

Description Steven Michaud [:smichaud] (Retired) 2008-04-11 16:53:20 PDT
This new version of the Java Embedding Plugin fixes a major problem on
the trunk and a relatively minor problem in all distros (those that
support Java).

http://javaplugin.sourceforge.net/

The major problem is that (as of recent changes to the
nsIScriptSecurityManager interface) JavaScript-to-Java LiveConnect is
broken on the trunk (bug 421810).  JEP 0.9.6.4 catches up with these
changes.

The minor problem is that JEP 0.9.6.3 doesn't allow Java applets to be
as large as recent versions of Apple's Java plugin do.  JEP 0.9.6.4
now imposes the same limit (a maximum heap size of 96MB) as Apple's
plugin does.

Please land this on the trunk as soon as possible.  JEP 0.9.6.4 should
be included with Firefox 3 RC1.

Landing it on the 1.8 branch is less urgent.
Comment 1 Steven Michaud [:smichaud] (Retired) 2008-04-11 16:54:18 PDT
Created attachment 315226 [details]
Change log for JEP 0.9.6.4
Comment 2 Arthur Yuan 2008-04-11 17:48:48 PDT
Hi Steven,

I installed the newly released plugin (and thank you very very much), however, there appears to be a minor problem.  

I visited this site:
https://sportal.uspto.gov/authenticate/AuthenticateUserLocalEPF.html

and when I click on browse, a dialog window shows up.  I select the file that is needed and then click on open.

However, the path of the file is supposed to show up on the "Select Digital Certificate" field, but it does not and the following is the message that shows up on the error console:

Error: Warning: unrecognized command line flag -foreground

Source File: file:///Applications/Firefox.app/Contents/MacOS/components/nsBrowserContentHandler.js
Line: 661

Do you think this is an isolated problem just for my computer?

Thanks,

Arthur.
Comment 3 Steven Michaud [:smichaud] (Retired) 2008-04-11 18:46:30 PDT
It's very difficult to figure out what you're saying --	you don't give
enough detail.	You also need to figure	out (and say) whether the
problem(s) you're having also occur in other browsers (Safari,
Firefox, Camino?), other versions of the same browser, or using	other
versions of the Java Embedding Plugin.

The best way to describe a problem is as a set of very specific and
detailed steps to reproduce.

Finally, all of this should go into a new bug -- it's very unlikely
that any of your problems have to do with version 0.9.6.4 of the Java
Embedding Plugin.

> Error: Warning: unrecognized command line flag -foreground
>
> Source File:
>  file:///Applications/Firefox.app/Contents/MacOS/components/nsBrowserContentHandler.js
>  Line: 661

This error appears in the error console every time I start the
browser, and before I do anything in it.  I suppose it must be caused
by a browser bug -- but the bug seems to be benign (it doesn't seem to
have any bad consequences).  It	has nothing to do with Java or the
JEP.
Comment 4 Steven Michaud [:smichaud] (Retired) 2008-04-11 18:53:41 PDT
Something I forgot to mention earlier:

Those who want to try the new version right away will need to install
it "over" the older versions currently bundled with Mozilla.org
browsers.  I recommend installing the new JEP to your
/Library/Internet Plug-Ins/ folder, then removing older copy(ies) of
the JEP from your Mozilla.org browser(s).  For more information see
the JEP Readme.
Comment 5 Steven Michaud [:smichaud] (Retired) 2008-04-13 19:10:35 PDT
Comment on attachment 315226 [details]
Change log for JEP 0.9.6.4

Vlad, I'm guessing I should ask you to superreview.  Please let me know
if you think otherwise.
Comment 6 Arthur Yuan 2008-04-13 20:44:09 PDT
Thanks Steven.

Here is some more details (hope they help): 
I am using Leopard (10.5.2) with Firefox 3 beta 5.

I launched ff and turned on the error console.  The console includes an entry:

Error: Warning: unrecognized command line flag -foreground

Source File:
file:///Applications/Firefox.app/Contents/MacOS/components/nsBrowserContentHandler.js
Line: 661

Like you said, it was there before I visited any site.

I then visited this site:
https://sportal.uspto.gov/authenticate/AuthenticateUserLocalEPF.html

The page, among other things, has two input fields: one is titled "select
digital certificate" and there is a "browse" button next to the field.  The
other one is "enter password" field.

Before I click on anything, the error console has added the following entries:

Warning: Unknown property 'behavior'.  Declaration dropped.
Source File: https://sportal.uspto.gov/authenticate/EntrustTruePassApplet.html
Line: 0

Warning: Unknown property 'align'.  Declaration dropped.
Source File: https://sportal.uspto.gov/authenticate/styles/internetPortal.css
Line: 519

Warning: Error in parsing value for property 'cursor'.  Declaration dropped.
Source File:
https://sportal.uspto.gov/authenticate/AuthenticateUserInputLocalEPF.html
Line: 0

Warning: Error in parsing value for property 'cursor'.  Declaration dropped.
Source File:
https://sportal.uspto.gov/authenticate/AuthenticateUserInputLocalEPF.html
Line: 0

Warning: Error in parsing value for property 'cursor'.  Declaration dropped.
Source File:
https://sportal.uspto.gov/authenticate/AuthenticateUserInputLocalEPF.html
Line: 0

Warning: Error in parsing value for property 'cursor'.  Declaration dropped.
Source File:
https://sportal.uspto.gov/authenticate/AuthenticateUserInputLocalEPF.html
Line: 0

I then click on browse, a dialog window shows up.  I select the file listed in
the dialog window that is needed and then click on open.

The expected result is that the path and the file name to the file that I just
selected should be copied to the "select digital certificate" field.  However,
once I clicked "open," the dialog window disappears and nothing was displaying
in the field (so it's still blank).  I tried again but the same result happens.
 I also checked the error console but no new entries were added.

I visited the same site using Safari 3.1 and the expected result is that when I
click on the button "browse" a dialog window will appear and shows me the list
of files to choose from.  Once I select the desirable file and click "open,"
the path to the file and the file name with the proper extension will be
appended to the field  "Select Digital Certificate."  I can then enter the
password in the "enter password" field.

Hope this helps.

Thanks,
Comment 7 Steven Michaud [:smichaud] (Retired) 2008-04-14 07:59:38 PDT
Arthur, please open a new bug and cc me.

Thanks for the additional information, but it still isn't enough for
me to work with.

I don't have an account with the USPTO, and am not going to get one
just to resolve this bug.  But it sounds like the bug happens before
authentication takes place (so probably I don't need a USPTO account).
However I do need to know something about the "digital certificate"
file you're trying to upload.  What kind of certificate does it
contain?  What's the name of the file?  More importantly, what's the
filename's extension?

Apparently you've tested in Safari and things work properly there.
You also need to test in Firefox 2.0.0.13, Camino 1.5.5 and recent
Minefield trunk nightlies (hopefully including today's trunk nightly).

By the way, errors that appear in the Error Console will _never_ have
anything to do with Java or the JEP.
Comment 8 Vladimir Vukicevic [:vlad] [:vladv] 2008-04-14 09:45:03 PDT
You actually want jst for sr on this one, not me..
Comment 9 Johnny Stenback (:jst, jst@mozilla.com) 2008-04-14 13:52:58 PDT
Steven, Jonas is saying he still needs to make one more change to the nsIScriptSecurityManager interface before Fx3 final, and while he's only adding back a method that was removed and in that sense should have no impact on you it will mean that the IID will be bumped again, which probably *does* have an impact on you.

What does that mean as far as JEP goes? A simple recompile would be enough it would seem, but I don't know how the "release process" for JEP works at all...
Comment 10 Jonas Sicking (:sicking) No longer reading bugmail consistently 2008-04-14 14:10:44 PDT
See the last patch in bug 425201 :(
Comment 11 Steven Michaud [:smichaud] (Retired) 2008-04-14 14:20:44 PDT
This is a real pain!

It's likely that "a simple recompile" won't be enough.  For the last
change in nsIScriptSecurityManager (on 2008-04-08) I had to do quite a
lot of work (largely because not only did the IID change, but so also
did the location of GetSubjectPrincipal() in the vtable).

Go ahead and make the change.  Then (after the change has landed and I
have a chance to test with it) I'll release a new JEP, probably
towards the end of the week.

But this time I want an ironclad promise that there will be no further
changes that break the JEP before the Firefox 3 release.

(This is most likely to mean that nsIScriptSecurityManager will have
to stay frozen until after the Firefox 3 release.  It also means that
any CAPS changes will have to be tested with the JEP.)
Comment 12 Steven Michaud [:smichaud] (Retired) 2008-04-14 14:21:48 PDT
In fact it was removing CheckConnect() that caused me trouble the first time.  It will cause the same trouble again.
Comment 13 Steven Michaud [:smichaud] (Retired) 2008-04-14 14:31:21 PDT
> It also means that any CAPS changes will have to be tested with the
> JEP.

What I'm most worried about is breaking JavaScript-to-Java
LiveConnect.  Here's the URL of a good LiveConnect test (which, though
old, is fortunately still live):

http://poslfit.homeip.net/test/liveconnecttest.html

It's a bit temperamental -- sometimes it won't finish loading
completely, and you have to reload it (or even try it in a new
window).  But it's one of the most through tests I've ever found for
LiveConnect (of all kinds).
Comment 14 Steven Michaud [:smichaud] (Retired) 2008-04-14 14:35:00 PDT
> But it's one of the most through tests I've ever found for
> LiveConnect (of all kinds).

through -> thorough
Comment 15 Jonas Sicking (:sicking) No longer reading bugmail consistently 2008-04-14 14:52:04 PDT
Sorry about the nsIScriptSecurityManager changes. I didn't know that they caused so much trouble for JEP. Removing CheckConnect was in fact just cleanup since i didn't think it was used any more.

You might want to add a big warning saying that we want to keep the interface stable and notify you about changes to it. Preferably close to the IID so we see it for any changes we make.
Comment 16 Steven Michaud [:smichaud] (Retired) 2008-04-14 15:00:26 PDT
> You might want to add a big warning saying that we want to keep the
> interface stable and notify you about changes to it. Preferably
> close to the IID so we see it for any changes we make.

Good idea! :-)

Best to do this in the new patch for bug 425201.
Comment 17 Steven Michaud [:smichaud] (Retired) 2008-04-14 19:58:49 PDT
By the way, I've taken a closer look at the current patch for bug
425201, and noticed that (when it restores CheckConnect()) it goes
back to the previous UUID for the nsIScriptSecurityManager interface.
This might mean that I don't have to release a new JEP (0.9.6.5),
after all.

But to make sure of this I'll need to wait until the new patch lands
(in whatever final form it takes), and then do some testing.
Comment 18 Steven Michaud [:smichaud] (Retired) 2008-04-18 14:23:41 PDT
I've just tested with a CVS build made just after the patch for bug
425201 landed, and it appears that I don't need to release a new JEP.
JEP 0.9.6.4 works just fine with that patch (because, when it rolled
back the elimination of CheckConnect() from nsIScriptSecurityManager,
it restored the previous UUID).

I tested with http://poslfit.homeip.net/test/liveconnecttest.html and
with the STR for bug 408329.

So it should now be safe to land JEP 0.9.6.4 on the trunk.

(Thanks, sicking for adding a warning to nsIScriptSecurityManager.idl,
near the UUID, to post warnings of changes to this interface to bug
293973.  Thanks also for restoring the old UUID.)
Comment 19 Damon Sicore (:damons) 2008-04-23 11:45:58 PDT
Comment on attachment 315226 [details]
Change log for JEP 0.9.6.4

a1.9+=damons
Comment 20 Steven Michaud [:smichaud] (Retired) 2008-04-23 12:19:51 PDT
Landed on trunk (leaving open for branch).

Checking in JavaEmbeddingPlugin.bundle/Contents/Info.plist;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/Info.plist,v  <--  Info.plist
new revision: 1.19; previous revision: 1.18
done
Checking in JavaEmbeddingPlugin.bundle/Contents/MacOS/JavaEmbeddingPlugin;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/MacOS/JavaEmbeddingPlugin,v  <--  JavaEmbeddingPlugin
new revision: 1.20; previous revision: 1.19
done
Checking in JavaEmbeddingPlugin.bundle/Contents/Resources/English.lproj/InfoPlist.strings;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/Resources/English.lproj/InfoPlist.strings,v  <--  InfoPlist.strings
new revision: 1.19; previous revision: 1.18
done
Checking in JavaEmbeddingPlugin.bundle/Contents/Resources/Java/JavaEmbeddingPlugin.jar;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/Resources/Java/JavaEmbeddingPlugin.jar,v  <--  JavaEmbeddingPlugin.jar
new revision: 1.19; previous revision: 1.18
done
Checking in MRJPlugin.plugin/Contents/Info.plist;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/Info.plist,v  <--  Info.plist
new revision: 1.19; previous revision: 1.18
done
Checking in MRJPlugin.plugin/Contents/MacOS/MRJPlugin;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/MacOS/MRJPlugin,v  <--  MRJPlugin
new revision: 1.20; previous revision: 1.19
done
Checking in MRJPlugin.plugin/Contents/MacOS/MRJPlugin.jar;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/MacOS/MRJPlugin.jar,v  <--  MRJPlugin.jar
new revision: 1.19; previous revision: 1.18
done
Checking in MRJPlugin.plugin/Contents/Resources/MRJPlugin.rsrc;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/Resources/MRJPlugin.rsrc,v  <--  MRJPlugin.rsrc
new revision: 1.15; previous revision: 1.14
done
Checking in MRJPlugin.plugin/Contents/Resources/English.lproj/InfoPlist.strings;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/Resources/English.lproj/InfoPlist.strings,v  <--  InfoPlist.strings
new revision: 1.19; previous revision: 1.18
done
Comment 21 Samuel Sidler (old account; do not CC) 2008-04-23 13:36:53 PDT
Actually, we prefer to see bugs resolved fixed so we know that a trunk "patch" has landed.
Comment 22 Marcia Knous [:marcia - use ni] 2008-04-24 10:38:15 PDT
verified fixed using Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9pre) Gecko/2008042404 Minefield/3.0pre.
Comment 23 Daniel Veditz [:dveditz] 2008-04-25 11:13:17 PDT
Comment on attachment 315226 [details]
Change log for JEP 0.9.6.4

approved for 1.8.1.15, a=dveditz for release-drivers
Comment 24 Steven Michaud [:smichaud] (Retired) 2008-04-25 13:09:02 PDT
Landed on 1.8 branch:

Checking in JavaEmbeddingPlugin.bundle/Contents/Info.plist;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/Info.plist,v  <--  Info.plist
new revision: 1.1.2.16; previous revision: 1.1.2.15
done
Checking in JavaEmbeddingPlugin.bundle/Contents/MacOS/JavaEmbeddingPlugin;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/MacOS/JavaEmbeddingPlugin,v  <--  JavaEmbeddingPlugin
new revision: 1.1.2.17; previous revision: 1.1.2.16
done
Checking in JavaEmbeddingPlugin.bundle/Contents/Resources/English.lproj/InfoPlist.strings;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/Resources/English.lproj/InfoPlist.strings,v  <--  InfoPlist.strings
new revision: 1.1.2.16; previous revision: 1.1.2.15
done
Checking in JavaEmbeddingPlugin.bundle/Contents/Resources/Java/JavaEmbeddingPlugin.jar;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/Resources/Java/JavaEmbeddingPlugin.jar,v  <--  JavaEmbeddingPlugin.jar
new revision: 1.1.2.16; previous revision: 1.1.2.15
done
Checking in MRJPlugin.plugin/Contents/Info.plist;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/Info.plist,v  <--  Info.plist
new revision: 1.1.2.16; previous revision: 1.1.2.15
done
Checking in MRJPlugin.plugin/Contents/MacOS/MRJPlugin;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/MacOS/MRJPlugin,v  <--  MRJPlugin
new revision: 1.1.2.17; previous revision: 1.1.2.16
done
Checking in MRJPlugin.plugin/Contents/MacOS/MRJPlugin.jar;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/MacOS/MRJPlugin.jar,v  <--  MRJPlugin.jar
new revision: 1.1.2.16; previous revision: 1.1.2.15
done
Checking in MRJPlugin.plugin/Contents/Resources/MRJPlugin.rsrc;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/Resources/MRJPlugin.rsrc,v  <--  MRJPlugin.rsrc
new revision: 1.1.2.14; previous revision: 1.1.2.13
done
Checking in MRJPlugin.plugin/Contents/Resources/English.lproj/InfoPlist.strings;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/Resources/English.lproj/InfoPlist.strings,v  <--  InfoPlist.strings
new revision: 1.1.2.16; previous revision: 1.1.2.15
done
Comment 25 Al Billings [:abillings] 2008-06-10 13:13:14 PDT
Verified for 1.8.1.15. About:plugins reports that "Java Embedding Plugin 0.9.6.4" is installed.

Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.15pre) Gecko/2008061004 BonEcho/2.0.0.15pre

Note You need to log in before you can comment on or make changes to this bug.